onEvent('recipes', event => {
	event.remove({output: 'projecte:philosophers_stone'});  //for custom PStone balance recipe
	event.remove({output: 'pickletweaks:emerald_leggings'}); //OP and duplicate
	event.remove({output: 'pickletweaks:emerald_chestplate'});
	event.remove({output: 'pickletweaks:emerald_boots'});
	event.remove({output: 'pickletweaks:emerald_helmet'});
	event.remove({output: 'projecte:harvest_goddess_band'}); //balance
	event.remove({output: 'miniutilities:angel_ring'});
	event.remove({output: 'cyclic:emerald_chestplate'}); //also OP
	event.remove({output: 'cyclic:emerald_leggings'});
	event.remove({output: 'cyclic:emerald_boots'});
	event.remove({output: 'cyclic:emerald_helmet'});
	event.remove({output: 'cyclic:uncrafter'});  //OP and dupes
	event.remove({output: 'projecte:dm_pedestal'}); //also balance
	event.remove({output: 'projecte:watch_of_flowing_time'}); //because balance
	event.remove({output: 'avaritia:neutronium_compressor'}); //cant use, use extended crafting
	event.remove({output: 'avaritia:infinity_catalyst'});
	event.remove({output: 'immersiveengineering:cloche'}); //new recipe and buffed speed
	//event.remove({output: 'avaritia:infinity_sword'}); //sword bugged
	/* event.remove({output: 'allthemodium:allthemodium_chestplate'});
	event.remove({output: 'allthemodium:allthemodium_leggings'});
	event.remove({output: 'allthemodium:allthemodium_helmet'});
	event.remove({output: 'allthemodium:allthemodium_boots'});
	event.remove({output: 'allthemodium:vibranium_chestplate'});
	event.remove({output: 'allthemodium:vibranium_leggings'});
	event.remove({output: 'allthemodium:vibranium_helmet'});
	event.remove({output: 'allthemodium:vibranium_boots'});
	event.remove({output: 'allthemodium:unobtanium_chestplate'});
	event.remove({output: 'allthemodium:unobtanium_leggings'});
	event.remove({output: 'allthemodium:unobtanium_helmet'});
	event.remove({output: 'allthemodium:unobtanium_boots'});
	event.remove({output: 'allthemodium:allthemodium_sword'});
	event.remove({output: 'allthemodium:allthemodium_axe'}); //allthemodium OP and is removed until I can nerf
	event.remove({output: 'allthemodium:allthemodium_shovel'});
	event.remove({output: 'allthemodium:allthemodium_hoe'});
	event.remove({output: 'allthemodium:vibranium_sword'});
	event.remove({output: 'allthemodium:vibranium_axe'});
	event.remove({output: 'allthemodium:vibranium_shovel'});
	event.remove({output: 'allthemodium:vibranium_hoe'});
	event.remove({output: 'allthemodium:unobtanium_sword'});
	event.remove({output: 'allthemodium:unobtanium_axe'});
	event.remove({output: 'allthemodium:unobtanium_shovel'});
	event.remove({output: 'allthemodium:unobtanium_hoe'});
	event.remove({output: 'allthemodium:unobtanium_pickaxe'}); */

  event.recipes.extendedcrafting.shaped_table('4x kubejs:capacitor_unpowered', [
    'ABCBD',
    'BEBFB',
    'GBHBI',
    'BJBKB',
    'LBMBN'
  ], {
    A: 'buddycards:buddycard_pack_base',
    B: Item.of('ironjetpacks:capacitor', '{Id:"ironjetpacks:emerald"}'),
    C: 'createaddition:capacitor',	//temp recipe change from createadditions:capacitor
    D: 'buddycards:buddycard_pack_base',
    E: 'buddycards:buddycard_pack_base',
    F: 'buddycards:buddycard_pack_base',
    G: 'buddycards:buddycard_pack_base',
    H: 'buddycards:buddycard_pack_base',
    I: 'buddycards:buddycard_pack_base',
    J: 'buddycards:buddycard_pack_base',
    K: 'buddycards:buddycard_pack_base',
    L: 'buddycards:buddycard_pack_base',
    M: 'buddycards:buddycard_pack_base',
    N: 'buddycards:buddycard_pack_base'
});
  // event.recipes.powah.energizing({
         // type: 'powah.energizing',
         // ingredients: [
             // { item: 'kubejs:capacitor_unpowered' }
         // ],
         // energy: 250000000,
         // result: {
             // item: 'kubejs:capacitor_powered',
             // count: 1
         // }
     // });
	 event.recipes.mekanismMetallurgicInfusing('kubejs:capacitor_powered', 'kubejs:capacitor_unpowered', 'mekanism:redstone', 990);
	 
	 {
  event.recipes.extendedcrafting.shaped_table('4x kubejs:capacitor_ocean', [
    ' ABABA ',
    ' ABABA ',
    '  CAC  ',
    ' AADAA ',
    ' ECACE ',
    'AEFAFEA',
    'FAEAEAF'
  ], {
    A: 'extendedcrafting:crystaltine_ingot',
    B: 'apotheosis:crystal_seashelf',
    C: 'apotheosis:heart_seashelf',
    D: 'apotheosis:rectifier',
    E: 'apotheosis:seashelf',
    F: 'kubejs:capacitor_powered'
});
	 }
	 {
  event.recipes.extendedcrafting.shaped_table('8x kubejs:capacitor_nether', [
    '  AAA  ',
    ' ABCBA ',
    ' DDDDD ',
    ' DDDDD ',
    ' DDDDD ',
    ' E D E ',
    ' E   E '
  ], {
	A: 'extendedcrafting:black_iron_block',
    B: 'extendedcrafting:nether_star_block',
    C: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:coal"}'),
    D: 'buddycards:buddycard_pack_nether',
    E: 'kubejs:capacitor_ocean'
});
	 }
	 {
  event.recipes.extendedcrafting.shaped_table('8x kubejs:capacitor_ender', [
    '  AAAAA  ',
    ' AABCBAA ',
    ' ADEBEDA ',
    ' ADEBEDA ',
    ' AAABAAA ',
    ' AFAGAFA ',
    '  F   F  ',
    '  F   F  ',
    '  F   F  '
  ], {
	A: 'minecraft:end_stone_bricks',
	B: 'minecraft:end_rod',
	C: 'minecraft:end_stone',
	D: 'extendedcrafting:ender_star',
	E: 'minecraft:purpur_block',
	F: 'kubejs:capacitor_nether',
	G: 'minecraft:shulker_shell'
});
	 }
	 
	 {
  event.recipes.extendedcrafting.shaped_table('1x beansources:ultibean', [
    '         ',
    '      AAA',
    '     AABA',
    '   AAABAA',
    ' AAAABAA ',
    'AABBBBA  ',
    'ABAAAAA  ',
    'AAAA     ',
    '         '
  ], {
  A: 'minecraft:netherite_ingot',
  B: 'kubejs:capacitor_ender'
});
}
	 {
		 event.recipes.draconicevolution.fusion_crafting({
			type: 'draconicevolution.fusion_crafting',
			result: {
				item: 'beansources:ultibean',
				count: 1
			},
			catalyst: {
				item: 'draconicevolution:chaos_shard'
			},
			total_energy: 500000000,
			tier: 'CHAOTIC',
			ingredients: [
			
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' },
			{ item: 'kubejs:capacitor_ender' }
				
			
			]
		 });	 
	 }
	 {
  event.recipes.extendedcrafting.shaped_table('8x extendedcrafting:the_ultimate_ingot', [
    '         ',
    '         ',
    ' AAAAAAA ',
    ' ABBABBA ',
    ' ACADACA ',
    ' ABBABBA ',
    ' AAAAAAA ',
    '         ',
    '         '
  ],    
  {
    A: 'extendedcrafting:crystaltine_ingot',
    B: 'extendedcrafting:ultimate_singularity',
    C: 'extendedcrafting:ender_star',
    D: 'beansources:ultibean'
  });
	}
	{
		event.recipes.extendedcrafting.shaped_table('1x projecte:philosophers_stone', [
		'         ',
		'   A A   ',
		'  ABCBA  ',
		'  BCDCB  ',
		'  CDEDC  ',
		'  BCDCB  ',
		'   BCB   ',
		'         ',
		'         '
  ],
  {
    A: 'mysticalagradditions:insanium_coal',
    B: 'mysticalagradditions:supremium_coal',
    C: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:coal"}'),
    D: 'compressium:coal_4',
    E: 'ars_nouveau:fire_essence'
  });
  }
  // {
	  // event.recipes.draconicevolution.fusion_crafting({
			// type: 'draconicevolution.fusion_crafting',
			// result: {
				// item: 'atmadditions:philosophers_fuel',
				// count: 1
			// },
			// catalyst: {
				// item: 'botania:fire_rod'
			// },
			// total_energy: 250000000,
			// tier: 'WYVERN',
			// ingredients: [
			
			// { item: 'apotheosis:blazing_hellshelf' },
			// { item: 'apotheosis:blazing_hellshelf' },
			// { item: 'mysticalagriculture:supremium_furnace' },
			// { item: 'mysticalagriculture:supremium_furnace' },
			// { item: 'thermal:dynamo_fuel_augment' },
			// { item: 'thermal:dynamo_fuel_augment' },
			// { item: 'thermal:dynamo_fuel_augment' },
			// { item: 'thermal:dynamo_fuel_augment' }
				
			
			// ]
	// });
  // }
  {
    event.shaped('1x botania:creative_pool', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'extendedcrafting:the_ultimate_ingot',
    B: 'botania:fabulous_pool'
  });
  }
   {
     event.shaped(Item.of('mekanism:creative_energy_cube', '{mekData:{EnergyContainers:[{Container:0b,stored:"18446744073709551615.9999"}]}}'), [
     'AAA',
     'ABA',
     'AAA'
   ],    
   {
     A: 'extendedcrafting:the_ultimate_ingot',
     B: 'mekanism:ultimate_induction_provider'
   });
   }
   //RECIPE FIXED
  {
    event.shaped('1x create:creative_motor', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'extendedcrafting:the_ultimate_ingot',
    B: 'createaddition:electric_motor'
  });
  } 
  //RECIPE FIXED
  //DE COMING SOON
     {
     event.shaped('1x draconicevolution:chaos_shard', [
     'AAA',
     'ABA',
     'AAA'
   ],    
   {
     A: 'extendedcrafting:ultimate_singularity',
     B: 'kubejs:capacitor_ender'
   });
   }
	{
	event.shaped('1x projecte:harvest_goddess_band', [
	'AAA',
	'CBC',
	'AAA'
  ],
  {
	A: 'mysticalagriculture:supremium_growth_accelerator',
	B: 'projecte:black_hole_band',
	C: 'extendedexchange:green_matter'
  });
  }
  
  {
	event.shaped('1x projecte:dm_pedestal', [
	'CBC',
	'CAC',
	'AAA'
  ],
  {
	A: 'extendedcrafting:pedestal',
	B: 'extendedexchange:lime_matter',
	C: 'extendedexchange:green_matter'
  });
  }
  
  {
	event.shaped('1x projecte:watch_of_flowing_time', [
	'ABA',
	'BCB',
	'ABA'
  ],
  {
	A: 'extendedexchange:fading_matter',
	B: 'compressium:obsidian_6',
	C: 'minecraft:clock'
  });
  }
  
  {
    event.shaped('1x mekanism:creative_fluid_tank', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'extendedcrafting:the_ultimate_ingot',
    B: 'mekanism:ultimate_fluid_tank'
  });
  }
  
  {
  event.recipes.extendedcrafting.shaped_table('1x avaritia:infinity_catalyst', [
  
    '         ',
    ' A  A  A ',
    '  A A A  ',
    '   A A   ',
    ' AA A AA ',
    '   A A   ',
    '  A A A  ',
    ' A  A  A ',
    '         '
  ],
  {
  A: 'extendedcrafting:the_ultimate_ingot'
  });
  }
  
  {
    event.shaped('1x enigmaticlegacy:enigmatic_item', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'avaritia:infinity_ingot',
    B: 'enigmaticlegacy:cosmic_heart'
  });
  }
  
  {
    event.shaped('1x enigmaticlegacy:the_cube', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'avaritia:infinity_ingot',
    B: 'enigmaticlegacy:evil_ingot'
  });
  }
  // {
    // event.shaped('1x losttrinkets:magical_feathers', [
    // 'AAA',
    // 'ABA',
    // 'AAA'
  // ],    
  // {
    // A: 'minecraft:feather',
    // B: 'extendedexchange:fading_matter'
  // });
  // }
   event.recipes.powah.energizing({
          type: 'powah.energizing',
          ingredients: [
              { item: 'refinedstorageaddons:wireless_crafting_grid' }
          ],
          energy: 2147483641,
          result: {
              item: 'refinedstorageaddons:creative_wireless_crafting_grid',
              count: 1
          }
      });
	  
	{
    event.shapeless('1x mekanism:creative_fluid_tank', ['mekanism:creative_fluid_tank'])
  };
  
  {
    event.shaped('1x mekanism:creative_chemical_tank', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'extendedcrafting:the_ultimate_ingot',
    B: 'mekanism:ultimate_chemical_tank'
  });
  }
  
  {
    event.shapeless('1x mekanism:creative_chemical_tank', ['mekanism:creative_chemical_tank'])
  };
  
  {
    event.shapeless('9x avaritia:neutronium_ingot', ['1x avaritia:neutronium_block'])
  };
  
  {
    event.shaped(Item.of('ironjetpacks:jetpack', '{Id:"ironjetpacks:creative",Throttle:1.0d}'), [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'extendedcrafting:the_ultimate_ingot',
    B: Item.of('ironjetpacks:jetpack', '{Id:"ironjetpacks:emerald",Throttle:1.0d}')
  });
  }
  {
    event.shaped('1x origins:orb_of_origin', [
    'BAB',
    'ACA',
    'BAB'
  ],    
  {
    A: 'minecraft:glowstone',
    B: 'minecraft:redstone',
	C: 'minecraft:diamond'
  });
  }
  
  {
  event.recipes.extendedcrafting.shaped_table('1x storagedrawers:creative_vending_upgrade', [
    'AAAABAAAA',
    'ACCAAACCA',
    'ACCDDDCCA',
    'ACCAAACCA',
    'ACCCACCCA',
    'ACCAAACCA',
    'ACCDDDCCA',
    'ACCAAACCA',
    'AAAABAAAA'
  ],
  {
  A: 'avaritia:infinity_ingot',
  B: 'storagedrawers:creative_storage_upgrade',
  C: 'extendedcrafting:the_ultimate_block',
  D: 'extendedcrafting:the_ultimate_ingot'
  });
  }
  
  {
    event.shaped('1x storagedrawers:creative_storage_upgrade', [
    'AAA',
    'ABA',
    'AAA'
  ],    
  {
    A: 'extendedcrafting:the_ultimate_ingot',
    B: 'avaritia:infinity_ingot'
  });
  }
  
   {
    event.shaped('8x refinedstorage:silicon', [
    '   ',
    'A A',
    ' A '
  ],    
  {
    A: 'mysticalagriculture:silicon_essence'
  });
  }
  
  {
  event.shaped(Item.of('gateways:gate_pearl', '{gateway:"apotheosis:boss_gate_small"}'), [
  'AAA',
  'ABA',
  'AAA'
  ],
  {
	A: 'apotheosis:gem_dust',
	B: Item.of('ftbquests:lootcrate', '{type:"beanbox"}')
  });
  }
  
  event.recipes.powah.energizing({
    type: 'powah.energizing',
    ingredients: [
        { item: 'beansources:ultibean' }
        ],
        energy: 500000000,
        result: {
            item: 'mekanism:pellet_antimatter',
            count: 1
        }
    });
  
  event.recipes.powah.energizing({
    type: 'powah.energizing',
    ingredients: [
        { item: 'forbidden_arcanus:stellarite_piece' }
        ],
        energy: 25000000,
        result: {
            item: 'forbidden_arcanus:eternal_stella',
            count: 1
        }
    });
  
  event.recipes.powah.energizing({
    type: 'powah.energizing',
    ingredients: [
        { item: 'mekanism:pellet_plutonium' }
        ],
        energy: 10000000,
        result: {
            item: 'mekanism:pellet_polonium',
            count: 1
        }
    });
	
  {
     event.shaped('1x immersiveengineering:cloche', [
     'CAC',
     'CBC',
     'DED'
   ],    
   {
     A: 'immersiveengineering:light_bulb',
     B: 'botanypotstiers:creative_terracotta_hopper_botany_pot',
	 C: '#forge:glass',
	 D: '#forge:treated_wood',
	 E: 'immersiveengineering:component_iron'
   });
   }
   
  event.recipes.powah.energizing({
    type: 'powah.energizing',
    ingredients: [
        { item: 'mekanism:pellet_polonium' }
        ],
        energy: 10000000,
        result: {
            item: 'mekanism:pellet_plutonium',
            count: 1
        }
    });
  
})